/* ----- Reset ----- */

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
}

html:focus-within {
  scroll-behavior: smooth;
}

@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }
}

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
  color: inherit;
}

input {
  border-radius: 0;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
  font-weight: 600;
}

button {
  padding: 0;
  background-color: transparent;
  border: none;
  border-radius: 0;
  cursor: pointer;
}

table {
  border-collapse: collapse;
}

/* ----- Global Styles ----- */

html {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 106.25%;
  quotes: "\201c" "\201d"
}

[lang]:lang(ar) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, Arabic UI Text, SF Pro Icons, Segoe UI, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(he) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, Arial Hebrew, SF Pro Icons, Segoe UI, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(hi) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, Kohinoor Devanagari, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(ja) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, Hiragino Sans, SF Pro Icons, Hiragino Kaku Gothic Pro, \30d2\30e9\30ae\30ce\89d2\30b4 Pro W3, \30e1\30a4\30ea\30aa, Meiryo, \ff2d\ff33 \ff30\30b4\30b7\30c3\30af, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(ko) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, Apple SD Gothic Neo, SF Pro Icons, Apple Gothic, HY Gulim, MalgunGothic, HY Dotum, Lexi Gulim, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(th) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, Thonburi Pro, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(zh-CN) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, PingFang SC, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(zh-HK),
[lang]:lang(zh-MO) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, PingFang HK, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif
}

[lang]:lang(zh-TW) {
  font-family: -apple-system, BlinkMacSystemFont, Apple Color Emoji, SF Pro, PingFang TC, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif
}

:lang(cs),
:lang(de) {
  quotes: "\201e" "\201c"
}

:lang(de-CH),
:lang(de-LI) {
  quotes: "\ab" "\bb"
}

:lang(fr) {
  quotes: "\ab\a0" "\a0\bb"
}

:lang(es-ES),
:lang(fr-CH) {
  quotes: "\ab" "\bb"
}

:lang(hu) {
  quotes: "\201e" "\201c"
}

:lang(ja-JP) {
  quotes: "\300c" "\300d"
}

:lang(no-NO) {
  quotes: "\ab" "\bb"
}

:lang(lt),
:lang(pl) {
  quotes: "\201e" "\201c"
}

:lang(ru) {
  quotes: "\ab  " " \bb"
}

:lang(zh) {
  quotes: "\300c" "\300d"
}

:lang(zh-CN) {
  quotes: "\201c" "\201d"
}

body {
  font-weight: 500;
  font-size: 18px;
  letter-spacing: -0.02em;
  line-height: 1.2;
}

body:lang(hi) {
  line-height: 1.4;
}

body:lang(th) {
  line-height: 1.72;
}
